import java.awt.*;
import java.io.*;

public class FileViewer extends Frame
{
  Button b1;
  Button close;

  public FileViewer(String filename) throws IOException
   {
     super("FileViewer:"+filename);
   File f = new File(filename);
   int size = (int)f.length();
   int bytes_read = 0;

FileInputStream in = new FileInputStream(f);
byte[]data = new byte[size];

while (bytes_read<size)

   bytes_read+=in.read(data,bytes_read,size-bytes_read);
   

this.setLayout(new BorderLayout());
TextArea textarea = new TextArea(new String(data,0),24,80);
textarea.setBackground(Color.white);
textarea.setFont(new Font("Helvetica",Font.PLAIN,12));
textarea.setEditable(false);
this.add("Center",textarea);

close = new Button("Close");
Panel p2 = new Panel();
p2.setLayout(new BorderLayout());
close.setBackground(Color.lightGray);
p2.add("Center",close);
this.add("South",p2);
this.insets();
}

public Insets insets()
{
 return new Insets(35,20,5,10);
}

public boolean action(Event e, Object arg) {

  if(e.target == close)
    {
    // this.hide();
     this.dispose();
     return true;
     }

  return false;

}


static public void main(String[] args) throws IOException
  {

    if (args.length!=1)
   {
      System.out.println("Usage: java FileViewer <filename>");
      System.exit(0);
   }

    try {Frame f = new FileViewer(args[0]);}

      catch(IOException e){System.out.println(e);}
  }

}


